Bug 582201 - Left-nav: a subcategory node can't be closed when a child is in focus
Left-nav: a subcategory node can't be closed when a child is in focus
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-04-14 07:42 EDT by Lukas Krejci
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-04-14 07:42:23 EDT
Description of problem:

When the $SUMMARY is tried, an NPE occurs.

How reproducible:

always

Steps to Reproduce:
1. In the left nav, open some subcategory node
2. Click on one of its children so that its detail appears in the main pane and the child is selected in the tree.
3. Try to close the subcategory node in the tree.
  
Actual results:

An NPE.

Expected results:

The subcategory node is closed, automatically selected and its content appears in the main pane.
Comment 1 Lukas Krejci 2010-04-21 03:51:06 EDT
Preliminary fixed by commit 13d96b3

For now, nothing happens when you try to close a subcategory (i.e. the subcategory remains open and its child in focus). This is going to change to the expected behaviour once the content page is implemented for subcategories.
Comment 2 Jay Shaughnessy 2011-02-17 15:51:32 EST
fixed in gwt
Comment 3 Mike Foley 2011-06-17 14:09:17 EDT
tested in gwt.
Comment 5 Heiko W. Rupp 2013-09-03 13:01:51 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.